# JDBC escape syntax for timestamp formats

Derby interprets the JDBC escape syntax for timestamp as equivalent to the correct SQL syntax for timestamps. Derby also supports the ISO format of 23 characters (17 digits, 3 dashes, and 3 decimal points).

#### Syntax

    {ts 'yyyy-mm-dd hh:mm:ss.f...'}

#### Equivalent to

    TIMESTAMP 'yyyy-mm-dd hh:mm:ss.f...'

The fractional portion of timestamp constants (.f...) can be omitted.

    VALUES {ts '1999-01-09 20:11:11.123455'}

Parent topic: JDBC escape syntax
Related reference
JDBC escape keyword for call statements
JDBC escape syntax
JDBC escape syntax for LIKE clauses
JDBC escape syntax for fn keyword
JDBC escape syntax for outer joins
JDBC escape syntax for time formats
JDBC escape syntax for date formats